# Deprecated API

## Contents

- Methods
- Constructors

Methods
com.trilead.ssh2.Connection.authenticateWithDSA​(String, String, String): You should use one of the `authenticateWithPublicKey()` methods, this method is just a wrapper for it and will disappear in future builds.
com.trilead.ssh2.Session.waitUntilDataAvailable​(long): This method has been replaced with a much more powerful wait-for-condition interface and therefore acts only as a wrapper.

Constructors
com.trilead.ssh2.SFTPv3Client​(Connection, PrintStream): this constructor (debug version) will disappear in the future, use `SFTPv3Client(Connection)` instead.